Support Support Downloads Knowledge Base Case Manager My Juniper Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2012-07 Security Bulletin: Junos: Incorrect integer conversions in OpenSSL can result in memory corruption (CVE-2012-2110)

0

0

Article ID: JSA10519 SECURITY_ADVISORIES Last Updated: 09 May 2013Version: 3.0
Legacy Advisory Id:
PSN-2012-07-645
Product Affected:
This issue can affect all Junos routers.
Problem:

The ASN.1 buffered I/O functions in OpenSSL before 0.9.8v do not properly interpret integer data, which allows remote attackers to conduct buffer overflow attacks, and cause a denial of service (memory corruption). J-Web is explicitly not affected by this vulnerability, since J-Web is a server and this is a client-side vulnerability. However, many other functions in Junos use these buffered I/O routines and can trigger fetches of untrusted X.509 certificates.

This issue was discovered by an external security researcher.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.
Solution:

The changes identified by OpenSSL to resolve CVE-2012-2110 and CVE-2012-2131 (a follow-on vulnerability introduced by CVE-2012-2110) have been imported into Junos to resolve the ASN.1 buffered I/O vulnerability.

All Junos OS software releases built on or after 2012-06-21 have fixed this specific issue. Releases containing the fix specifically include: 10.4S10, 11.4R4, 12.1R2-S1, and all subsequent releases (i.e. all releases built after 12.1R2-S1).

The issue has also been resolved for the QFabric Director in Junos OS version 12.2R2 and all subsequent releases.

This issue is being tracked as PR 770702 for Junos and PR 807702 for QFabric Director. Both are visible on the Customer Support website.

KB16765 - "In which releases are vulnerabilities fixed?" describes which release vulnerabilities are fixed as per our End of Engineering and End of Life support policies.

Workaround:

Avoid fetching untrusted X.509 certificates or referencing remote URLs from the CLI. Push files to the router rather than pulling them from remote sites.
Implementation:

How to obtain fixed software:

Security vulnerabilities in Junos are fixed in the next available Maintenance Release of each supported Junos version. In some cases, a Maintenance Release is not planned to be available in an appropriate time-frame. For these cases, Service Releases are made available in order to be more timely. Security Advisory and Security Notices will indicate which Maintenance and Service Releases contain fixes for the issues described. Upon request to JTAC, customers will be provided download instructions for a Service Release. Although Juniper does not provide formal Release Note documentation for a Service Release, a list of "PRs fixed" can be provided on request.
CVSS Score:
7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)
Severity Level:
High
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search